Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class CommandlineJava.SysProperties

    java.lang.Object
      |
      +--org.apache.tools.ant.types.Environment
            |
            +--org.apache.tools.ant.types.CommandlineJava.SysProperties

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  CommandlineJava

public static class CommandlineJava.SysProperties
extends Environment
implements java.lang.Cloneable

Specialized Environment class for System properties

Inner classes inherited from class org.apache.tools.ant.types.Environment
`Environment.Variable`

Fields inherited from class org.apache.tools.ant.types.Environment
`variables`

Constructor Summary
`CommandlineJava.SysProperties()`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String[]` | `getVariables()`
`void` | `restoreSystem()`
`void` | `setSystem()`
`int` | `size()`

Methods inherited from class org.apache.tools.ant.types.Environment
`addVariable`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandlineJava.SysProperties

    public CommandlineJava.SysProperties()

Method Detail

### getVariables

    public java.lang.String[] getVariables()
                                    throws BuildException

  Overrides:
    `getVariables` in class `Environment`

### size

    public int size()

### setSystem

    public void setSystem()
                   throws BuildException

### restoreSystem

    public void restoreSystem()
                       throws BuildException

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.